<template>
    <div>
        <div id="controlRouter">
            <Select class="listInput" v-model="currentEndNode" placeholder="Chọn nơi đi, đến" filterable>
                <Option v-for="(node,index) in listEndNodes" :value="node" :key="index">{{ node }}</Option>
            </Select>
            <Select class="listInput" v-model="currentRouter" placeholder="Chọn tuyến" filterable>
                <Option v-for="(Router,index) in filterRouter(currentEndNode)" :value="Router.name" :key="index">{{ Router.name }}</Option>
            </Select>
            <Button class="btnAction" type="success"  @click="drawBusRouter()">Tra cứu</Button>
            <Button  class="btnAction" type="error" @click="clearRouter()">Xóa</Button>
        </div>
        <div id="displayRouter" :style="{height:heighDisplayRouter+'px'}"></div>
    </div>
</template>
<script>
    import { drawRouter } from '@/Utils/drawRouter'
    export default {
        data() {
            return {
                listEndNodes: ["Đồng Hới", "Ba Đồn", "Lệ Thủy", "Phong Nha", "test"],
                listRouters: this.$store.state.listRouters,
                currentRouter: "",
                currentEndNode: "",
                directionsDisplay: {},
                heighDisplayRouter: window.innerHeight - (185 + 35 + 50)
            }
        },
        methods: {
            filterRouter: function() {
                return this.listRouters.filter(e => { return e.name.indexOf(this.currentEndNode) > -1 })
            },
            drawBusRouter: async function() {
                this.directionsDisplay=await drawRouter(this.currentRouter,this.listRouters,this.$store.state.map,this.directionsDisplay,"displayRouter")
            },
            clearRouter: function() {
                if (this.directionsDisplay.setMap != undefined) {
                    this.directionsDisplay.setDirections({ routes: [] });
                }
            }
        },
        mounted() {

        }
    }
</script>
<style>
    .btnAction {
        width: 90%;
        margin: 10px 5%;
    }

    .listInput {
        display: block;
        margin: 0px auto;
        width: 100%;
        padding: 10px;
    }

    #displayRouter {
        overflow-y: scroll;
    }
</style>
